> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credential by NFT Locator

> Get a verifiable credential by the NFT locator. 

This locator will have the format: `<chain>:<contract_address>:<tokenId>`. 
For example: `polygon:0x1234abcde...:1`

**API scope required** `credentials.read`. This enpoint will work also with a client side API key.


<Snippet file="alpha-api-note.mdx" />


## OpenAPI

````yaml get /v1-alpha1/nfts/{nftLocator}/credentials
openapi: 3.0.1
info:
  description: N/A
  version: 1.0.0
  title: Verifiable Credentials
  contact:
    name: Crossmint Verifiable Credentials APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security:
  - apiKey: []
paths:
  /v1-alpha1/nfts/{nftLocator}/credentials:
    get:
      tags:
        - Verifiable Credentials
      summary: Get Credential by NFT Locator
      description: >
        Get a verifiable credential by the NFT locator. 


        This locator will have the format:
        `<chain>:<contract_address>:<tokenId>`. 

        For example: `polygon:0x1234abcde...:1`


        **API scope required** `credentials.read`. This enpoint will work also
        with a client side API key.
      operationId: get-vc-by-locator
      parameters:
        - name: nftLocator
          in: path
          description: >-
            NFT on chain locator, in the format of
            `<chain>:<contract_address>:<tokenId>`
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                type: object
                description: The credential object
              example:
                $ref: '#/components/examples/Credential'
        '400':
          description: Bad Request
          content:
            error:
              examples:
                NotIssuedYet:
                  description: Credential not issued yet, wait for the mint to complete.
        '404':
          description: Nft not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Key obtained from the Crossmint developer console, reflecting the API
        scope granted.

````